Subject: Re: bug#69546: cksum: inconsistent handling of invalid length values

From: Pádraig Brady <[email-masked]>
Date: Mon, 4 Mar 2024 16:39:05 +0000

On 04/03/2024 15:44, Daniel Hofstetter wrote:
> Hi,
> 
> When specifying an invalid length value followed by a valid length
> value I get the following error:
> 
> $ printf "hello" | cksum --algo=blake2b --length=12 --length=8
> cksum: invalid length: ‘12’
> cksum: length is not a multiple of 8
> 
> However, if the invalid length value is a multiple of 8 and greater
> than 512 (the maximum digest length for blake2b), there is no error:
> 
> $ printf "hello" | cksum --algo=blake2b --length=123456 --length=8
> BLAKE2b-8 (-) = 29
> 
> I think the behavior should be the same in the two scenarios, whether
> it's showing an error or ignoring the invalid value.
> 
> I'm using coreutils 9.4.

I pushed a fix at:
https://github.com/coreutils/coreutils/commit/fea833591

Now only the last used --length is validated.

Marking this as done.

cheers,
Pádraig